# Utilities API

General-purpose utility functions, configuration, and helper classes.

::: embodied_gen.utils.config
    options:
      heading_level: 3

::: embodied_gen.utils.log
    options:
      heading_level: 3

::: embodied_gen.utils.enum
    options:
      heading_level: 3

::: embodied_gen.utils.geometry
    options:
      heading_level: 3

::: embodied_gen.utils.gaussian
    options:
      heading_level: 3

::: embodied_gen.utils.gpt_clients
    options:
      heading_level: 3

::: embodied_gen.utils.process_media
    options:
      heading_level: 3

::: embodied_gen.utils.simulation
    options:
      heading_level: 3

::: embodied_gen.utils.tags
    options:
      heading_level: 3

::: embodied_gen.utils.trender
    options:
      heading_level: 3

::: embodied_gen.utils.monkey_patches
    options:
      heading_level: 3